#root {
  background-color: #f6f6f6;
}

ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

p {
  margin-bottom: 0;
}

.space_section {
  padding: 80px 0;
}

.languages-menu {
  .languages-menu__toggle {
    display: flex;
    color: #a0a2a1;
    justify-content: center;
    align-items: center;

    p {
      font-weight: 400;
      font-size: 16.7145px;
      line-height: 20px;
      margin-right: 5px;
    }
  }
}

.swiper-horizontal {
  .swiper-button-prev:after,
  .swiper-rtl .swiper-button-next:after {
    display: none;
  }

  .swiper-button-next:after,
  .swiper-rtl .swiper-button-prev:after {
    display: none;
  }

  > .swiper-button-prev {
    background: url("../../public/assets/images/pre.svg") no-repeat;
  }

  > .swiper-button-next {
    background: url("../../public/assets/images/next.svg") no-repeat;
  }

  > .swiper-pagination-bullets .swiper-pagination-bullet,
  .swiper-pagination-horizontal.swiper-pagination-bullets
    .swiper-pagination-bullet {
    margin: 5px;
    width: 27px;
    height: 6px;
    color: #cacaca;
    border-radius: 4px;
  }

  > .swiper-pagination-bullets .swiper-pagination-bullet,
  .swiper-pagination-horizontal.swiper-pagination-bullets
    .swiper-pagination-bullet.swiper-pagination-bullet-active {
    width: 32px;
    background-color: #1199d6;
  }

  .swiper-wrapper {
    align-items: center;
  }
}

.main__top {
  background: linear-gradient(to right, rgb(81 12 117), rgb(53 33 174));

  .main__top-background {
    background: url("../../public/assets/images/background.svg");
    height: 418px;
  }

  .main__top-text {
    text-align: end;
    margin-top: 132px;
    margin-bottom: 100px;

    h1 {
      color: #0798d4;
      font-weight: 800;
      font-size: 4rem;
      line-height: 74px;
    }

    h3 {
      color: #0798d4;
      font-weight: 800;
      font-size: 2rem;
      line-height: 43px;
      margin-bottom: 17px;
    }

    p {
      color: #a0a2a1;
      font-weight: 500;
      font-size: 1.2rem;
      line-height: 22px;
      text-align: justify;
    }
  }

  .main__top-img {
    margin-top: 25px;
    object-fit: cover;
  }
}

.home__partner {
  background: linear-gradient(to right, rgb(81 12 117), rgb(53 33 174));
  text-align: center;

  .home__partner-background {
    background: url("../../public/assets/images/background.svg");
    height: 198px;
  }

  h3 {
    color: #0798d4;
    font-weight: 600;
    font-size: 1.9rem;
    line-height: 58px;
    padding: 18px 0 0 0;
    margin: 0px;
  }

  .home-partner__slide {
    padding: 0 50px;

    .home-partner__slide-swiper {
      padding: 0 42px;

      > .swiper-button-prev {
        background: url("../../public/assets/images/Polygon\ 5.svg") no-repeat;
        width: 56px;
        height: 56px;
        margin-top: -30px;
        z-index: 1;
      }

      > .swiper-button-next {
        background: url("../../public/assets/images/Polygon\ 4.svg") no-repeat;
        width: 56px;
        height: 56px;
        margin-top: -30px;
        transform: translateX(30px);
        z-index: 1;
      }

      .swiper-wrapper {
        align-items: center;
        margin: 28px 0 49px;

        .swiper-slide.home-partner__slide-swiper-item {
          .home-partner__silde-img {
            margin: unset;
            margin-left: auto;
            margin-right: auto;

            img {
              object-fit: cover;
            }
          }
        }
      }
    }
  }
}

.popup {
  width: 350px;
  position: fixed;
  bottom: 0;
  right: 10px;
  z-index: 2;

  .popup__small {
    background: #ffffff;
    box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.05);
    border-radius: 15px;
    padding: 12px 15px;

    .popup__small-full {
      display: block;
    }

    .popup__small-short {
      display: none;
      cursor: pointer;
    }

    .popup__small-img {
      img {
        width: 55px;
        object-fit: cover;
      }
    }

    .popup__small-right {
      display: flex;
      justify-content: space-around;
      text-align: center;
      align-items: center;

      .popup__small-right-text {
        h4 {
          font-size: 1.3rem;
          margin-bottom: 0;
          line-height: 30px;
          color: #0798d4;
          text-align: start;
        }

        p {
          font-weight: 500;
          font-size: 0.9rem;
          line-height: 20px;
          color: #707171;
        }
      }

      .popup__small-right-icon {
        transform: translateY(-16px);
        color: #707171;
      }
    }
  }

  .popup__lg {
    background: #ffffff;
    box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.05);
    border-radius: 15px;
    overflow: hidden;

    .popup__lg-text {
      display: flex;
      justify-content: space-between;
      background: #3b3b3b;
      align-items: center;
      padding: 15px 12px;
      color: #0798d4;

      h4 {
        margin-bottom: 0;
        font-weight: 500;
        font-size: 1.3rem;
        line-height: 24px;
      }
    }

    .popup__lg-chat {
      padding: 12px 15px;

      .popup__lg-chat-logo {
        img {
          object-fit: cover;
        }

        p {
          font-weight: 400;
          font-size: 0.9rem;
          line-height: 17px;
          color: #707171;
          margin: 15px 0 20px;
        }
      }

      .popup__lg-chat-message {
        .form-group {
          margin-bottom: 5px;

          label {
            padding: 0;
            padding-left: 10px;
            font-weight: 300;
            font-size: 0.875rem;
            color: #3b3b3b;
          }
        }

        .popup__lg-chat-message-text,
        .popup__lg-chat-message-textarea {
          width: 100%;
          margin: 6px 0;
          background: #ededed;
          border-radius: 7px;
          border: none;
          padding: 5px 10px;
        }
      }

      .popup__lg-send {
        text-align: end;
        margin-top: 25px;
        display: flex;
        justify-content: end;

        .popup__lg-send-btn {
          display: flex;
          align-items: center;
          justify-content: end;
          background: #0798d4;
          color: #ffffff;
          border: none;
          font-weight: 500;
          font-size: 1rem;
          line-height: 20px;
          text-align: center;
          padding: 8px 35px;
          border-radius: 30px;
        }
      }

      .popup__success {
        margin: 25px 0;

        .popup__success-message {
          text-align: center;

          .popup__success-icon {
            color: #0798d4;
            font-size: 3.2rem;
          }

          h6 {
            font-weight: 500;
            font-size: 1rem;
            line-height: 28px;
            color: #3b3b3b;
            margin: 25px 0;
          }
        }

        .popup__success-link {
          display: flex;
          align-items: center;
          cursor: pointer;

          img {
            margin-right: 5px;
            width: 8px;
            object-fit: cover;
          }

          p {
            font-size: 0.8rem;
          }
        }
      }
    }
  }

  &.notshow {
    display: none;
  }
}

.pagination {
  .page-item {
    margin: 0 5px;

    .page-link {
      border-radius: 50%;
      border: none;
      width: 35px;
      height: 35px;
      text-align: center;
    }

    .page-pre {
      background: url("../../public/assets/images/Polygon\ 2.svg") no-repeat;
      border-radius: 0%;
      margin-top: 10px;
    }

    .page-next {
      background: url("../../public/assets/images/Polygon\ 1.svg") no-repeat;
      border-radius: 0%;
      margin-top: 10px;
    }
  }

  .page-item.active {
    .page-link {
      background: #0798d4;
    }
  }
}

#loading {
  .loading__content {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 35px 0;
    margin: 10px 0;
    color: #0798d4;

    .loading__content-icon {
      margin-right: 12px;
    }

    .loading__content-text {
      font-size: 1.6rem;
      font-weight: 600;
    }
  }
}

#error {
  .error__content {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 35px 0;
    margin: 10px 0;

    .error__content-icon {
      margin-right: 15px;

      .error__content-icon-icon {
        font-size: 2rem;
        color: #fc5858;
      }
    }

    p {
      font-size: 1.2rem;
      color: #fc5858;
      text-align: center;
    }
  }
}

#no-data {
  .no-data__content {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 25px 0;
    color: #3f199a;

    .no-data__content-icon {
      margin-right: 15px;
      font-size: 1.5rem;
    }

    p {
      font-size: 1.2rem;
      text-align: center;
    }
  }
}

.sb-avatar.sb-avatar--src {
  img {
    border-radius: 50%;
    object-fit: cover;
  }
}

@media (max-width: 1690px) {
  .main__top {
    height: 362px;

    .main__top-background {
      background-size: contain;
      background-repeat: no-repeat;
    }

    .main__top-text {
      margin-top: 100px;
      margin-bottom: 80px;

      h1 {
        font-size: 3.7rem;
        line-height: 60px;
      }

      h3 {
        line-height: 40px;
        font-size: 1.8rem;
        margin-bottom: 12px;
      }

      p {
        font-size: 1.1rem;
        line-height: 22px;
      }
    }

    .main__top-img {
      width: 680px;
      margin-top: 45px;
    }
  }

  .popup {
    right: 0;

    .popup__small {
      width: 300px;
      margin-left: auto;
      margin-right: 0;

      .popup__small-img {
        img {
          width: 50px;
        }
      }

      .popup__small-right {
        .popup__small-right-text {
          h4 {
            font-size: 1.2rem;
          }

          p {
            font-size: 0.8rem;
          }
        }
      }
    }
  }
}

@media (max-width: 1200px) {
  .space_section {
    padding: 70px 0;
  }

  .main__top {
    height: 305px;

    .main__top-text {
      margin-top: 82px;
      margin-bottom: 80px;

      h1 {
        margin-bottom: 0;
        font-size: 3.3rem;
        line-height: 55px;
      }

      h3 {
        margin-bottom: 8px;
      }

      p {
        font-size: 1rem;
        line-height: 20px;
      }
    }

    .main__top-img {
      width: 560px;
    }
  }

  .home__partner {
    .home-partner__slide {
      .home-partner__slide-swiper {
        padding: 0 25px;

        > .swiper-button-next {
          transform: translateX(40px);
        }

        .swiper-wrapper {
          .swiper-slide.home-partner__slide-swiper-item {
            .home-partner__silde-img {
              img {
                max-width: 85%;
              }
            }
          }
        }
      }
    }
  }

  .popup {
    width: 300px;

    .popup__small {
      width: 250px;
      padding: 10px 15px;

      .popup__small-img {
        img {
          width: 45px;
        }
      }

      .popup__small-right {
        .popup__small-right-text {
          h4 {
            font-size: 1rem;
            line-height: 25px;
          }

          p {
            font-size: 0.7rem;
            line-height: 16px;
          }
        }

        .popup__small-right-icon {
          transform: translateY(-12px);
          color: #707171;
        }
      }
    }

    .popup__lg {
      .popup__lg-text {
        h4 {
          font-size: 1.2rem;
          line-height: 20px;
        }
      }

      .popup__lg-chat {
        .popup__lg-chat-logo {
          img {
            width: 160px;
          }

          p {
            font-size: 0.8rem;
          }
        }

        .popup__lg-send {
          .popup__lg-send-btn {
            font-size: 0.9rem;
          }
        }
      }
    }
  }
}

@media (max-width: 991.98px) {
  .space_section {
    padding: 65px 0;
  }

  .main__top {
    height: 250px;

    .main__top-text {
      margin-top: 65px;
      margin-bottom: 65px;

      h1 {
        font-size: 2.5rem;
        line-height: 40px;
      }

      h3 {
        font-size: 1.5rem;
        line-height: 35px;
        margin-bottom: 5px;
      }

      p {
        font-size: 0.7rem;
        line-height: 18px;
      }
    }

    .main__top-img {
      width: 435px;
    }
  }

  .home__partner {
    .home__partner-background {
      height: 160px;
    }

    h3 {
      padding: 12px 0 0;
      font-size: 1.7rem;
    }

    .home-partner__slide {
      padding: 0 15px;
      margin-top: -10px;

      .home-partner__slide-swiper {
        padding: 0 20px;

        > .swiper-button-next {
          transform: translateX(42px);
        }

        > .swiper-button-prev {
          transform: translateX(-10px);
        }
      }
    }
  }

  .popup {
    right: 10px;

    .popup__small {
      padding: 10px 12px;
      width: 65px;

      .popup__small-full {
        display: none;
      }

      .popup__small-short {
        display: flex;
        position: relative;

        img {
          width: 40px;
        }

        .popup__small-short-icon {
          transform: translate(5px, -17px);
        }

        &::before {
          content: "";
          position: absolute;
          border: 12px solid #fff;
          width: 15px;
          right: -20px;
          top: -20px;
          border-radius: 15px;
        }
      }
    }
  }
}

@media (max-width: 767.98px) {
  .space_section {
    padding: 60px 0;
  }

  .main__top {
    height: 465px;

    .main__top-text {
      text-align: end;
      padding: 0;
      margin-top: 35px;
      margin-bottom: 0px;

      h1 {
        font-size: 3rem;
        line-height: 45px;
        margin-bottom: 10px;
      }

      h3 {
        font-size: 1.6rem;
        line-height: 30px;
      }

      p {
        line-height: 24px;
        font-size: 1.4rem;
      }
    }

    .main__top-img {
      width: 525px;
    }
  }

  .home__partner {
    .home__partner-background {
      height: 125px;
    }

    h3 {
      font-size: 1.3rem;
      padding: 5px 0 0 0;
    }

    .home-partner__slide {
      margin-top: -21px;

      .home-partner__slide-swiper {
        padding: 0 18px;

        > .swiper-button-next {
          transform: translateX(50px);
          background-size: 15px;
          margin-top: -23px;
        }

        > .swiper-button-prev {
          background-size: 15px;
          margin-top: -23px;
        }
      }
    }
  }

  .popup {
    width: 300px;

    .popup__lg {
      .popup__lg-chat {
        .popup__lg-send {
          .popup__lg-send-btn {
            padding: 7px 30px;
          }
        }
      }
    }
  }
}

@media (max-width: 576px) {
  .main__top {
    height: 420px;

    .main__top-text {
      h1 {
        font-size: 2.7rem;
        line-height: 42px;
      }

      h3 {
        font-size: 1.5rem;
        line-height: 30px;
      }

      p {
        font-size: 1.3rem;
        line-height: 24px;
      }
    }

    .col-sm-12 {
      text-align: center;
    }

    .main__top-img {
      margin-top: 35px;
      width: 460px;
    }
  }

  .home__partner {
    .home-partner__slide {
      .home-partner__slide-swiper {
        padding: 0 16px;
      }
    }
  }

  .popup {
    right: 10px;

    .popup__small {
      width: 55px;
      padding: 8px 10px;

      .popup__small-short {
        img {
          width: 35px;
        }

        .popup__small-short-icon {
          transform: translate(3px, -16px);
        }
      }
    }
  }
}

@media (max-width: 500px) {
  .main__top {
    height: 365px;

    .main__top-text {
      h1 {
        font-size: 2.3rem;
        line-height: 35px;
      }

      h3 {
        font-size: 1.4rem;
        line-height: 25px;
      }

      p {
        font-size: 1.1rem;
        line-height: 22px;
      }
    }

    .main__top-img {
      margin-top: 25px;
      width: 400px;
    }
  }

  .home__partner {
    .home-partner__slide {
      .home-partner__slide-swiper {
        padding: 0 12px;

        > .swiper-button-next {
          background-size: 12px;
          margin-top: -20px;
        }

        > .swiper-button-prev {
          background-size: 12px;
          margin-top: -20px;
        }

        .swiper-wrapper {
          .swiper-slide.home-partner__slide-swiper-item {
            .home-partner__silde-img {
              img {
                max-width: 80%;
              }
            }
          }
        }
      }
    }
  }
}

@media (max-width: 430px) {
  .main__top {
    height: 305px;

    .main__top-text {
      h1 {
        font-size: 2.1rem;
      }

      h3 {
        font-size: 1.2rem;
        line-height: 24px;
      }

      p {
        font-size: 0.9rem;
        line-height: 18px;
      }
    }

    .main__top-img {
      width: 290px;
    }
  }
}
